Debian Bug report logs - #271662
nullmailer: sendmail doesn't accept -bs in it's arguments

version graph

Package: nullmailer; Maintainer for nullmailer is Nick Leverton <nick@leverton.org>; Source for nullmailer is src:nullmailer.

Reported by: Robbert Muller <muller@helikon.muze.nl>

Date: Tue, 14 Sep 2004 12:03:03 UTC

Severity: wishlist

Tags: wontfix

Found in versions 1.00RC7-21, nullmailer/1:1.04-1.2

Fixed in version nullmailer/1:1.10-1

Done: Nick Leverton <nick@leverton.org>

Bug is archived. No further changes may be made.

Forwarded to http://lists.untroubled.org/?list=nullmailer&cmd=showmsg&msgnum=698

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Robbert Muller <muller@helikon.muze.nl>:
New Bug report received and forwarded. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robbert Muller <muller@helikon.muze.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Tue, 14 Sep 2004 13:59:07 +0200
Package: nullmailer
Version: 1.00RC7-21
Severity: important


nullmailer's sendmail doesn't accept the -bs flag as specified in the
lsb standard.
http://refspecs.freestandards.org/LSB_2.0.0/LSB-Core/LSB-Core/baselib-sendmail-1.html

** output **
muller@helikon:~$ /usr/sbin/sendmail -bs
sendmail: option -bs is unsupported

regards
	Robbert Muller

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.4.26
Locale: LANG=C, LC_CTYPE=C

Versions of packages nullmailer depends on:
ii  debconf [debconf-2.0]  1.4.30.3          Debian configuration management sy
ii  libc6                  2.3.2.ds1-16      GNU C Library: Shared libraries an
ii  libgcc1                1:3.4.1-4sarge1   GCC support library
ii  libstdc++5             1:3.3.4-6sarge1.2 The GNU Standard C++ Library v3
ii  ucf                    1.08              Update Configuration File: preserv

-- debconf information:
* shared/mailname: helikon.muze.nl
* nullmailer/adminaddr: muller@muze.nl
* nullmailer/relayhost: mail.muze.nl



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <tretkowski@inittab.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #10 received at 271662@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <tretkowski@inittab.de>
To: Robbert Muller <muller@helikon.muze.nl>, 271662@bugs.debian.org
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Tue, 14 Sep 2004 17:02:17 +0200
* Robbert Muller wrote:
> nullmailer's sendmail doesn't accept the -bs flag as specified in
> the lsb standard.

Correct, but where did you read that nullmailer is compatible with the
Linux Standard Base?

Norbert



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@wiggy.net>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #15 received at 271662@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@wiggy.net>
To: 271662@bugs.debian.org, muller@helikon.muze.nl, tretkowski@inittab.de
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Wed, 15 Sep 2004 10:28:10 +0200
Previously Norbert Tretkowski wrote:
> Correct, but where did you read that nullmailer is compatible with the
> Linux Standard Base?

Debian aims to be a fully LSB compliant distribution and the nullmailer
provides the LSB-defined /usr/sbin/sendmail interface.  So I would
suggest either adding support for the -bs (and other) option or dropping
the /usr/sbin/sendmail interface and providing the mail-transport-agent
virtual package.

Wichert.

-- 
Wichert Akkerman <wichert@wiggy.net>    It is simple to make things.
http://www.wiggy.net/                   It is hard to make things simple.



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Robbert Muller <muller@muze.nl>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #20 received at 271662@bugs.debian.org (full text, mbox):

From: Robbert Muller <muller@muze.nl>
To: Norbert Tretkowski <tretkowski@inittab.de>, 271662@bugs.debian.org
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Wed, 15 Sep 2004 10:31:30 +0200
On Tue, Sep 14, 2004 at 05:02:17PM +0200, Norbert Tretkowski wrote:
> * Robbert Muller wrote:
> > nullmailer's sendmail doesn't accept the -bs flag as specified in
> > the lsb standard.
> 
> Correct, but where did you read that nullmailer is compatible with the
> Linux Standard Base?

from the sarge_rc_policy.txt
***
(p) Linux Standard Base

Packages must not conflict with requirements of the LSB,
v1.3. (eg, if you provide a library specified in the LSB, you
must be compatible with the LSB specification of that library)

Basically, you should be LSB compatible. You can expect a bug report to
be filed if you're not, and if you don't know how to fix the problem,
you should email debian-lsb@lists.debian.org for assistance.  
***

so if nullmailer isn't providing the basic functions which
/usr/sbin/sendmail need to provide. so the least what you coulddo is add
a warning in the instalation that it is not providing the basic one can
expect from a package which provide 'mail-transport-agent' .

regards
	Robbert

PS i used the lsb spec 2.0 because i couldn't find the 1.3 spec anymore,
al the links on the main website are dead except those of 2.0






Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <tretkowski@inittab.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #25 received at 271662@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <tretkowski@inittab.de>
To: Wichert Akkerman <wichert@wiggy.net>
Cc: 271662@bugs.debian.org, muller@helikon.muze.nl, control@bugs.debian.org
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Wed, 15 Sep 2004 10:39:23 +0200
severity 271662 wishlist
thanks

* Wichert Akkerman wrote:
> Previously Norbert Tretkowski wrote:
> > Correct, but where did you read that nullmailer is compatible with
> > the Linux Standard Base?
> 
> Debian aims to be a fully LSB compliant distribution and the
> nullmailer provides the LSB-defined /usr/sbin/sendmail interface.

Someone who wants a fully LSB compliant system shouldn't use
nullmailer then.

> So I would suggest either adding support for the -bs (and other)
> option or dropping the /usr/sbin/sendmail interface and providing
> the mail-transport-agent virtual package.

I'm going to forward this to nullmailer upstream.

Norbert



Severity set to `wishlist'. Request was from Norbert Tretkowski <tretkowski@inittab.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #32 received at 271662@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 271662@bugs.debian.org
Subject: being lsb incompatible is RC
Date: Wed, 15 Sep 2004 10:51:51 +0200
severity 271662 serious
thanks

Hi,

as far as I can see, the release policy requires packages to be lsb
compatible if they contain lsb specified interfaces (release policy p).
/usr/{sbin,lib}/sendmail _is_ such an interface. So, I'm setting the
severity of this bug to serious.

Please really consider to either provide the lsb specified interfaces,
or drop being a mail transport agent (and don't provide /usr/*/sendmail
than).


Cheers,
Andi
-- 
   http://home.arcor.de/andreas-barth/
   PGP 1024/89FB5CE5  DC F1 85 6D A6 45 9C 0F  3B BE F1 D0 C5 D1 D9 0C



Severity set to `serious'. Request was from Andreas Barth <aba@not.so.argh.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #39 received at 271662@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 271662@bugs.debian.org
Subject: Re: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Tue, 21 Sep 2004 00:40:46 -0700
[Message part 1 (text/plain, inline)]
FYI, this LSB compliance issue is being considered RC for sarge.

Thanks,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <tretkowski@inittab.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #44 received at 271662@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <tretkowski@inittab.de>
To: Steve Langasek <vorlon@debian.org>, 271662@bugs.debian.org
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Tue, 21 Sep 2004 10:32:48 +0200
* Steve Langasek wrote:
> FYI, this LSB compliance issue is being considered RC for sarge.

Yes, I know. LSB sucks. Nullmailer isn't a full smtpd, it just
forwards local mail to a configured relay.

I see no reason _why_ you need the -bs switch in this case.

Dropping /usr/sbin/sendmail is not an option.

I'm going to add a Conflicts: lsb to the package and add a comment
about LSB compatibility to it's description.

I leave this bugreport open, but downgrade it and tag it +wontfix
after I uploaded the updated package.

Norbert



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #49 received at 271662@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Norbert Tretkowski <tretkowski@inittab.de>
Cc: 271662@bugs.debian.org
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Tue, 21 Sep 2004 03:14:07 -0700
[Message part 1 (text/plain, inline)]
On Tue, Sep 21, 2004 at 10:32:48AM +0200, Norbert Tretkowski wrote:
> * Steve Langasek wrote:
> > FYI, this LSB compliance issue is being considered RC for sarge.

> Yes, I know. LSB sucks. Nullmailer isn't a full smtpd, it just
> forwards local mail to a configured relay.

> I see no reason _why_ you need the -bs switch in this case.

The Debian mail-transport-agent virtual package is woefully
underspecified, but policy *does* specify that two packages may not
provide the same program name if they provide different functionality
(Policy 10.1).  Obviously, "different" functionality is a rather broad
requirement for a program as complex as /usr/sbin/sendmail, but the LSB
presents a reasonable set of features that people can expect this
program to implement.

The LSB's definition for the -bs switch is:

-bs

    uses the SMTP protocol as described in RFC 2821; reads SMTP commands 
on standard input and writes SMTP responses on standard output.

    Note that RFC 2821 specifies \r\n (CR-LF) be used at the end of each 
line, but pipes almost always use \n (LF) instead. To deal with this, 
agents will accept both \r\n and \n at the end of each line. When 
accepting \r\n, the \r before the \n is silently discarded.


For a rationale, see the sendmail(8) manpage provided by exim:

    Some user agents use this interface as a way of passing
    locally-generated messages to the MTA.

Providing a consistent interface that callers of /usr/sbin/sendmail can
depend on is perfectly on point, and not even specific to the LSB --
even though the LSB is the first framing we have that describes an
expected feature set.

> Dropping /usr/sbin/sendmail is not an option.

> I'm going to add a Conflicts: lsb to the package and add a comment
> about LSB compatibility to it's description.

> I leave this bugreport open, but downgrade it and tag it +wontfix
> after I uploaded the updated package.

I believe this is at least reasonable for sarge.

Cheers,
-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <tretkowski@inittab.de>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. Full text and rfc822 format available.

Message #54 received at 271662@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <tretkowski@inittab.de>
To: Steve Langasek <vorlon@debian.org>, 271662@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#271662: nullmailer: sendmail doesn't accept -bs in it's arguments
Date: Sun, 26 Sep 2004 11:43:31 +0200
severity 271662 wishlist
tags 271662 +wontfix
thanks

* Steve Langasek wrote:
> On Tue, Sep 21, 2004 at 10:32:48AM +0200, Norbert Tretkowski wrote:
> > I'm going to add a Conflicts: lsb to the package and add a comment
> > about LSB compatibility to it's description.
> 
> > I leave this bugreport open, but downgrade it and tag it +wontfix
> > after I uploaded the updated package.
> 
> I believe this is at least reasonable for sarge.

I uploaded a package with the above changes.

Norbert



Severity set to `wishlist'. Request was from Norbert Tretkowski <tretkowski@inittab.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Norbert Tretkowski <tretkowski@inittab.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. (Sat, 13 Feb 2010 21:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Soeren Sonnenburg <sonne@debian.org>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. (Sat, 13 Feb 2010 21:39:07 GMT) Full text and rfc822 format available.

Message #63 received at 271662@bugs.debian.org (full text, mbox):

From: Soeren Sonnenburg <sonne@debian.org>
To: Debian Bug Tracking System <271662@bugs.debian.org>
Subject: requiring -bs support is crap
Date: Sat, 13 Feb 2010 06:50:54 +0100
Package: nullmailer
Version: 1:1.04-1.2
Severity: normal

to force such a high (and unneeded!) complexity onto a mail forwarder is
crap. IMHO lsb needs to be fixed to no longer require the -bs switch to
sendmail. Does anyone where to request such things and is influential
enough to actually get this fixed?

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (500, 'oldstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32.3-sonne (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nullmailer depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.3-2  GCC support library
ii  libstdc++6                    4.4.3-2    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages nullmailer recommends:
ii  sysklogd [system-log-daemon]  1.5-5      System Logging Daemon

nullmailer suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Tretkowski <nobse@debian.org>:
Bug#271662; Package nullmailer. (Sat, 20 Feb 2010 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <q-funk@iki.fi>:
Extra info received and forwarded to list. Copy sent to Norbert Tretkowski <nobse@debian.org>. (Sat, 20 Feb 2010 13:03:07 GMT) Full text and rfc822 format available.

Message #68 received at 271662@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Debian Bug Tracking System <271662@bugs.debian.org>
Subject: Re: sendmail doesn't accept -bs in it's arguments
Date: Sat, 20 Feb 2010 12:38:13 +0000
Package: nullmailer
Version: 1:1.04-1.2
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Norbert, I'd like to know if the request to implement the sendmail -bs argument 
has been forwarded to upstream and what was their answer?

- -- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-13-generic (SMP w/1 CPU core)
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nullmailer depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  libc6                         2.10.2-5   Embedded GNU C Library: Shared lib
ii  libgcc1                       1:4.4.3-2  GCC support library
ii  libstdc++6                    4.4.3-2    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages nullmailer recommends:
ii  rsyslog [system-log-daemon]   4.4.2-2    enhanced multi-threaded syslogd

nullmailer suggests no packages.

- -- debconf information excluded

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt/17MACgkQeXr56x4Muc2/rQCggHFc6DvJsdjAtCukAziKiltO
lb4An2i73PBOJ87BvyIqCpiUarQYis6i
=BjJ2
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Nick Leverton <nick@leverton.org>:
Bug#271662; Package nullmailer. (Tue, 24 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Regid Ichira <regid23@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Nick Leverton <nick@leverton.org>. (Tue, 24 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #73 received at 271662@bugs.debian.org (full text, mbox):

From: Regid Ichira <regid23@yahoo.com>
To: 271662@bugs.debian.org
Subject: Fw: Pseudo code included. Is it a small step towards better LSB compliance for sendmail interface?
Date: Tue, 24 Jan 2012 14:46:03 -0800 (PST)
--- On Tue, 1/24/12, Regid Ichira wrote:

> From: Regid Ichira
> Subject: Pseudo code included. Is it a small step towards better LSB compliance for sendmail interface?
> To: nullmailer -- lists.untroubled.org
> Date: Tuesday, January 24, 2012, 10:30 PM
>   Continuing
> http://lists.untroubled.org/?list=nullmailer&cmd=threadindex&month=201002&threadid=hobkhempdacmpcpddmbi
> 
>   Is this pseudo code a small step towards better lsb
> compliance for
> sendmail interface?
> 
> --- src/sendmail.cc.orig    2012-01-24
> 23:42:10.000000000 +0200
> +++ src/sendmail.cc 2012-01-25 00:09:35.000000000 +0200
> @@ -92,7 +92,11 @@ int parseargs()
>      if(!setenvelope(o_from))
>        return -1;
>    if (o_mode && !strcmp(o_mode,
> "s")) {
> -    ferr << "sendmail: option -bs is
> unsupported" << endl;
> +
> +    Wait for input on stdin.  What ever 1st
> line you get
> +
> +    fstdout << "550 Refuse communication by
> SMTP commands on stdin/stdoutd" << endl;
> +
>      return -1;
>    }
>    return 0;
> 
>




Set Bug forwarded-to-address to 'http://lists.untroubled.org/?list=nullmailer&cmd=showmsg&msgnum=698'. Request was from Regid Ichira <regid23@yahoo.com> to control@bugs.debian.org. (Tue, 24 Jan 2012 23:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#271662; Package nullmailer. (Wed, 25 Jan 2012 13:18:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. (Wed, 25 Jan 2012 13:18:20 GMT) Full text and rfc822 format available.

Message #80 received at 271662@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 271662@bugs.debian.org
Subject: Re: Bug#271662: Fw: Pseudo code included. Is it a small step towards better LSB compliance for sendmail interface?
Date: Wed, 25 Jan 2012 12:47:13 +0000
I don't feel so, I'm afraid.  It's just another way of notifying callers                            
that you don't offer an SMTP submission interface.

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, Nick Leverton <nick@leverton.org>:
Bug#271662; Package nullmailer. (Wed, 25 Jan 2012 22:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Regid Ichira <regid23@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Nick Leverton <nick@leverton.org>. (Wed, 25 Jan 2012 22:54:03 GMT) Full text and rfc822 format available.

Message #85 received at 271662@bugs.debian.org (full text, mbox):

From: Regid Ichira <regid23@yahoo.com>
To: nullmailer@lists.untroubled.org, Nick Leverton <nick@leverton.org>
Cc: 271662@bugs.debian.org
Subject: Re: [nullmailer] Pseudo code included. Is it a small step towards better LSB compliance for sendmail interface?
Date: Wed, 25 Jan 2012 14:52:06 -0800 (PST)
--- On Wed, 1/25/12, Nick Leverton wrote:

> On Tue, Jan 24, 2012 at 02:30:20PM -0800, Regid Ichira wrote:
> >   Is this pseudo code a small step towards better lsb compliance for
> > sendmail interface?
> ...snips
> > +    fstdout << "550 Refuse communication by SMTP commands on stdin/stdoutd" << endl;
> > +
> 
> I don't feel so, I'm afraid.  It's just another way of notifying callers
> that you don't offer an SMTP submission interface.
> 

  Isn't it an attempt to notify callers in a a way that sendmail -bs might
notify them?  My understanding of the lsb requirement is to mimic
sendmail -bs.  I think Sendmail -bs might reply by denying the user from
sending a message, in a way that is in accordance with the SMTP protocol.
Does the lsb actually forces the system to queue the message and attempt to
send it?




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#271662; Package nullmailer. (Wed, 25 Jan 2012 23:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nick Leverton <nick@leverton.org>:
Extra info received and forwarded to list. (Wed, 25 Jan 2012 23:51:06 GMT) Full text and rfc822 format available.

Message #90 received at 271662@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: Regid Ichira <regid23@yahoo.com>, 271662@bugs.debian.org
Cc: nullmailer@lists.untroubled.org
Subject: Re: Bug#271662: [nullmailer] Pseudo code included. Is it a small step towards better LSB compliance for sendmail interface?
Date: Wed, 25 Jan 2012 23:48:53 +0000
On Wed, Jan 25, 2012 at 02:52:06PM -0800, Regid Ichira wrote:
> Does the lsb actually forces the system to queue the message and attempt to
> send it?

That is in fact the function of Sendmail's -bs option ...

Nick




Information forwarded to debian-bugs-dist@lists.debian.org, Nick Leverton <nick@leverton.org>:
Bug#271662; Package nullmailer. (Wed, 02 May 2012 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anand Kumria <wildfire@progsoc.org>:
Extra info received and forwarded to list. Copy sent to Nick Leverton <nick@leverton.org>. (Wed, 02 May 2012 11:45:07 GMT) Full text and rfc822 format available.

Message #95 received at 271662@bugs.debian.org (full text, mbox):

From: Anand Kumria <wildfire@progsoc.org>
To: 271662@bugs.debian.org
Subject: nullmailer 1.10 fixes this
Date: Wed, 2 May 2012 12:40:16 +0100
Hi,

nullmailer 1.10 fixes this.

An upload of the new version might be required.

Regards,
Anand




Reply sent to Nick Leverton <nick@leverton.org>:
You have taken responsibility. (Thu, 17 May 2012 07:21:10 GMT) Full text and rfc822 format available.

Notification sent to Robbert Muller <muller@helikon.muze.nl>:
Bug acknowledged by developer. (Thu, 17 May 2012 07:21:10 GMT) Full text and rfc822 format available.

Message #100 received at 271662-close@bugs.debian.org (full text, mbox):

From: Nick Leverton <nick@leverton.org>
To: 271662-close@bugs.debian.org
Subject: Bug#271662: fixed in nullmailer 1:1.10-1
Date: Thu, 17 May 2012 07:18:14 +0000
Source: nullmailer
Source-Version: 1:1.10-1

We believe that the bug you reported is fixed in the latest version of
nullmailer, which is due to be installed in the Debian FTP archive:

nullmailer_1.10-1.debian.tar.gz
  to main/n/nullmailer/nullmailer_1.10-1.debian.tar.gz
nullmailer_1.10-1.dsc
  to main/n/nullmailer/nullmailer_1.10-1.dsc
nullmailer_1.10-1_i386.deb
  to main/n/nullmailer/nullmailer_1.10-1_i386.deb
nullmailer_1.10.orig.tar.gz
  to main/n/nullmailer/nullmailer_1.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 271662@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nick Leverton <nick@leverton.org> (supplier of updated nullmailer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 16 May 2012 19:52:06 +0100
Source: nullmailer
Binary: nullmailer
Architecture: source i386
Version: 1:1.10-1
Distribution: unstable
Urgency: low
Maintainer: Nick Leverton <nick@leverton.org>
Changed-By: Nick Leverton <nick@leverton.org>
Description: 
 nullmailer - simple relay-only mail transport agent
Closes: 271662 359994 504184 540758 583564 605899 625246 632015 643228 646355 657773 659446
Changes: 
 nullmailer (1:1.10-1) unstable; urgency=low
 .
   * New upstream release (Closes: #271662, #540758, #359994, #583564, #540758,
     LP:660089).  We now provide Sendmail's "-bs" functionality and therefore
     no longer conflict with LSB.
   * Upgrade to dh compat level 9 and dpkg 1.16 dpkg-buildflags.
   * Update Policy to 3.9.3 (no change).
   * Set defaultdomain from the domain part of /etc/mailname and allow it to
     be empty, meaning "don't add a defaultdomain" (patch 12, Closes: #504184).
   * Fix IPv6 autoconf check to #include stddef.h (patch 02, Closes: #605899).
   * Support IPv6 address literals in debconf smarthost field (Closes: #625246)
     and update debian/templates with the new format.
   * Use LOG_INFO not LOG_ERR when logging success (patch 03, Closes: #632015,
     LP:531796).
   * Ensure no cruft in source package using debian/clean (Closes: #643228).
   * Use correct test for socket existence in initscript (Closes: #646355).
   * Proof ourselves against multi-line mailname (Closes: #657773).
   * New debconf translations: Danish (Closes: #659446).
   * Fix patch 06 to correctly apply Return-Path when requested in resent mails.
   * Mention helohost and sendtimeout in nullmailer.7 (patch 08).
   * Update upstream info in debian/copyright and convert to DEP-5 format.
   * Thanks to Harald Jenny for the 1.10 changes.
Checksums-Sha1: 
 09418128abc575b4be6a8b91ae5705f827aeb47a 1789 nullmailer_1.10-1.dsc
 801515726cdf19deb018c61eb4bb2744bbe1b3dc 201324 nullmailer_1.10.orig.tar.gz
 168ead6ab0cf52699d1c016ad39cd38feffa3039 32950 nullmailer_1.10-1.debian.tar.gz
 f2528298079f66a80dcd0cfee85a922cf06f1fe7 120560 nullmailer_1.10-1_i386.deb
Checksums-Sha256: 
 414be9989bda126b79ccfc6aa7e6f68ca138a15aab219865326ab7e636663a7a 1789 nullmailer_1.10-1.dsc
 eda85acf95ccac886271c2d9d471b3e245288aa6597c925372e429defb7f75b7 201324 nullmailer_1.10.orig.tar.gz
 97adc0ef257b8185100208d8c4b00b298843683a95c2e04011f424f49873fa03 32950 nullmailer_1.10-1.debian.tar.gz
 39b73a6c44505c370bc55128d747e1406e6a3fceef5715b8584a3045ed2bff8b 120560 nullmailer_1.10-1_i386.deb
Files: 
 c24560d9e33644df2483a8ad64ef9b44 1789 mail extra nullmailer_1.10-1.dsc
 d970da365dbe9db44101937880cf8579 201324 mail extra nullmailer_1.10.orig.tar.gz
 c314b0e744108994f41ba3b489b70dd3 32950 mail extra nullmailer_1.10-1.debian.tar.gz
 48db6e0d3b44a6c7b632ac60663a5ad3 120560 mail extra nullmailer_1.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT7ShtIcvcCxNbiWoAQKt0Q//aLInORsce6lEaEvrUhOtLiIuAzPdAOFY
kcFFkMti4zgsJJbaCH8PnBRhvnvKGnUMG2nnLdoYmJgPmi3jENW68qPJbqL25HDE
3SVwTz1gPj2+eprVLMXBf460SKebuwJNlyhBr/ayjnB4UbWVLA5f9NAPHkEBoWWU
Y7t5vKVQuB9ETNOYpQhtPxwBMWXLuViN368Y4x6xPqs7KqKE9HK6DRR0r4hLTmHv
CpLmIE2lS3wvPykUEnVMtOJ0L0W0wuE/62bC8/q3l+QsvDpzq0SINVpntFIF3XS7
RBx2c2LmWgZ8byQdtuuiDTW5UBK9DLtMb4uG2aAQWmdCJXS+lJ+jI4TLcX/v9uu+
VgLwlJLbYLz9PHZay/KW2zyDClFQjbXmgnkA43FClvASnDU4SGH8pfqaNlCrjft+
lEp3g5ioFFZbbsWDGQescGGVxLqmaQXjbtbd0Lfs2EdNYJkb3cmgRhiBmh1IiSar
QEY/1KzQgLzCXUr8CZiubOeoCeET2x/XPpqEidak5GnO2BwrC8C1sNUIEe2pMWrp
AmCiuht78D3qdJfXNfySvePjijxckN+lXj8GtaCWJTIT64VvllJjyx6RhBVZrZxY
Z40Semtv2nyIbhzuwT18x/VYS5+uYD9QOMeUqB8a2RDPHfGaU+8C6ouS573cjCYB
MEEctKDMSsQ=
=dJMA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2012 07:42:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 11:01:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.